/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.tool.bean;


/**
 * TODO To change the template for this generated type comment go to Window -
 * Preferences - Java - Code Style - Code Templates
 */
public class MenuNode extends TreeNode{

	public static final int TYPE_NONE = 0;
	public static final int TYPE_DB = 1;
	public static final int TYPE_TABLE_TITLE = 2;
	public static final int TYPE_TABLE = 3;
	
	

	private int m_type = TYPE_NONE;

	private Object m_NodeObject = null;

	//TODOMASU コメントの追記が必要
	// TreeNodeにTableInfoオブジェクトを追加する
	public void setObject(Object obj){
		m_NodeObject = obj;
	}
	public Object getObject(){
		return m_NodeObject;
	}

    /**
     * @param node
     */
    public MenuNode(String node) {
        super(node);
        // TODO 自動生成されたコンストラクター・スタブ
    }
    /**
     * @param content
     * @param imageKey
     */
    public MenuNode(String content, String imageKey) {
        super(content, imageKey);
        // TODO 自動生成されたコンストラクター・スタブ
    }


	/**
	 * @return type を戻します。
	 */
	public int getType() {
		return m_type;
	}
	/**
	 * @param type type を設定。
	 */
	public void setType(int type) {
		m_type = type;
	}
}